using Insight.Domain.Network.Remote.Messages;

namespace Insight.Remote.Shared.Abstractions;

public interface ICursorProvider
{
    Task<CastCursor?> GetAsync(CancellationToken cancellationToken);
    Task SetAsync(int x, int y, CancellationToken cancellationToken);
}